From a498a761b4cab79c56e173cce0794cd5c220c698 Mon Sep 17 00:00:00 2001
From: Christian Hesse <mail@eworm.de>
Date: Fri, 17 Nov 2023 22:30:42 +0100
Subject: [PATCH 1/4] include missing header file
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

This fixes build error:
```
/build/inkscape/src/inkscape/src/object/uri.cpp: In constructor ‘Inkscape::URI::URI(const gchar*, const char*)’:
/build/inkscape/src/inkscape/src/object/uri.cpp:86:9: error: ‘xmlFree’ was not declared in this scope; did you mean ‘xmlFreeURI’?
   86 |         xmlFree(full);
```

Origin: Upstream
Upstream-Status: Backport [commit 694d8ae43d06efff21adebf377ce614d660b24cd]
Signed-off-by: Ismael Luceno <ismael@iodev.co.uk>
---
 src/object/uri.h | 1 +
 1 file changed, 1 insertion(+)

diff --git a/src/object/uri.h b/src/object/uri.h
index 381adec58cf3..d5b211fe2b20 100644
--- a/src/object/uri.h
+++ b/src/object/uri.h
@@ -13,6 +13,7 @@
 #define INKSCAPE_URI_H
 
 #include <libxml/uri.h>
+#include <libxml/xmlmemory.h>
 #include <memory>
 #include <string>
 
-- 
2.44.0

